Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.relation
Class RoleResult

    java.lang.Object
      javax.management.relation.RoleResult

All Implemented Interfaces:
  Serializable

public class RoleResult
extends Object
implements Serializable

Represents the result of multiple access to roles.

Version:
  $Revision: 1.4 $

  Revisions:

  20020716 Adrian Brock:

  - Serialization
Author:
  Adrian Brock
See Also:
  Serialized Form

Constructor Summary
`RoleResult(RoleList roleList, RoleUnresolvedList roleUnresolvedList)` Construct a new role result.

Method Summary
`RoleList` | `getRoles()` Retrieve the successful roles.
`RoleUnresolvedList` | `getRolesUnresolved()` Retrieve the unsuccessful roles.
`void` | `setRoles(RoleList roleList)` Set the successful roles.
`void` | `setRolesUnresolved(RoleUnresolvedList roleUnresolvedList)` Set the unsuccessful roles.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RoleResult

    public RoleResult(RoleList roleList,
                      RoleUnresolvedList roleUnresolvedList)

  Construct a new role result.

Parameters:
  `roleList` - the successful roles
  `roleUnresolvedList` - the roles not accessed

Method Detail

### getRoles

    public RoleList getRoles()

  Retrieve the successful roles.

  Returns:
    the successful roles.

### getRolesUnresolved

    public RoleUnresolvedList getRolesUnresolved()

  Retrieve the unsuccessful roles.

  Returns:
    the unsuccessful roles.

### setRoles

    public void setRoles(RoleList roleList)

  Set the successful roles.

  Parameters:
    `roleList` - the successful roles.

### setRolesUnresolved

    public void setRolesUnresolved(RoleUnresolvedList roleUnresolvedList)

  Set the unsuccessful roles.

  Parameters:
    `roleUnresolvedList` - the unsuccessful roles.

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.